Identifiants personnels


Moi ... Moi ... et re Moi
« [UBUNTU] Compiler Flvtool2   Informatique  [SPIP] Spip.ici.ous »

[jQuery] Farbtastic compatible avec jQuery 1.3.x

samedi 7 février 2009, par Quentin Drouet

Aucun tag n'est associé

Je joue souvent avec la librairie farbtastic pour ajouter des sélecteurs de couleurs simples dans les formulaires.

Cette librairie n’a pas bougé depuis 2007 et est donc de moins en moins compatible avec les versions récentes de jQuery ...

Je l’ai donc modifiée quelque peu pour la rendre compatible avec les versions récentes de jQuery (1.3.1 à l’heure actuelle) et notamment avec le plugin palette de SPIP

Exemple d’utilisation du plugin palette

Le plugin palette perment d’appliquer un sélecteur de couleur sur tous les éléments "input" dotés de la class "palette"

Code utilisé : <input type="text" class="text palette" value="" />

Documents joints

Répondre à cet article


commentaires fermes
Propulsé par : SPIP 2.1.26 SVN [21335]